Bug 1287139 - mouse in server mode moves just down when user moves mouse left-down
mouse in server mode moves just down when user moves mouse left-down
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: spice-gtk (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity low
: rc
: ---
Assigned To: Eduardo Lima (Etrunko)
SPICE QE bug list
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-01 10:21 EST by David Jaša
Modified: 2016-06-10 04:29 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-10 04:29:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Jaša 2015-12-01 10:21:22 EST
Description of problem:
When moving mouse in left-down direction (where e.g. Windows start button is by default), mouse pointer moves just down, leftward component of the motion gets discarded. All the other quadrants are OK.

Happens with both RHEL 6 and RHEL 7 spice servers so the bug is likely in spice-gtk.

Version-Release number of selected component (if applicable):
spice-gtk3-0.26-5.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1. connect to a VM with mouse in server mode (with stopped agent or agent_mouse=off server option and with disabled vmmouse driver)
2. click into the VM
3. move mouse in bottom-left direction

Actual results:
mouse pointer moves just down

Expected results:
mouse moves moves in the same direction as the mouse itself

Additional info:
Comment 1 Radek Duda 2016-04-29 05:08:59 EDT
I can not reproduce this bug on RHEL7.2
Using spice-gtk3-0.26-5.el7.x86_64.
Comment 2 David Jaša 2016-06-10 04:29:06 EDT
Again, is seems something unique to my system and I don't have a clue what might be wrong. Let's close until it's clearer what's going on (or if it bites someone else in addition to me).

Note You need to log in before you can comment on or make changes to this bug.